## org.hibernate.sql
Class QuerySelect

    java.lang.Object
      org.hibernate.sql.QuerySelect

    public class QuerySelect

extends Object

A translated HQL query

Constructor Summary
`QuerySelect(Dialect dialect)`

Method Summary
`void` `addOrderBy(String orderByString)`
`void` `addSelectColumn(String columnName, String alias)`
`void` `addSelectFragmentString(String fragment)`
`QuerySelect` `copy()`
`JoinFragment` `getJoinFragment()`
`void` `prependWhereConditions(String conditions)`
`void` `setComment(String comment)`
`void` `setDistinct(boolean distinct)`
`void` `setGroupByTokens(Iterator tokens)`
`void` `setHavingTokens(Iterator tokens)`
`void` `setOrderByTokens(Iterator tokens)`
`void` `setWhereTokens(Iterator tokens)`
`String` `toQueryString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QuerySelect

    public QuerySelect(Dialect dialect)

Method Detail

### getJoinFragment

    public JoinFragment getJoinFragment()

### addSelectFragmentString

    public void addSelectFragmentString(String fragment)

### addSelectColumn

    public void addSelectColumn(String columnName,
                                String alias)

### setDistinct

    public void setDistinct(boolean distinct)

### setWhereTokens

    public void setWhereTokens(Iterator tokens)

### prependWhereConditions

    public void prependWhereConditions(String conditions)

### setGroupByTokens

    public void setGroupByTokens(Iterator tokens)

### setOrderByTokens

    public void setOrderByTokens(Iterator tokens)

### setHavingTokens

    public void setHavingTokens(Iterator tokens)

### addOrderBy

    public void addOrderBy(String orderByString)

### toQueryString

    public String toQueryString()

### setComment

    public void setComment(String comment)

### copy

    public QuerySelect copy()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.